/*
 * DataviewDropTarget.java
 *
 * Copyright (c) 2003, Oracle Corporation. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 */
package samples.javaclient.analyzer;
import java.awt.dnd.DropTarget;
import java.awt.Component;
import java.awt.dnd.DropTargetListener;
import oracle.dss.dataView.Dataview;

public class DataviewDropTarget extends DropTarget  {
  Dataview m_dataview;
  Worksheet m_worksheet;
  
  public DataviewDropTarget() {
    super();
  }

  public DataviewDropTarget(Component component, int ops, DropTargetListener dtl) {
    super(component, ops, dtl);
  }

  public Dataview getDataview() {
    return m_dataview;
  }

  public void setDataview(Dataview dataview) {
    m_dataview = dataview;
  }

  public void setWorksheet(Worksheet worksheet) {
    m_worksheet = worksheet;
  }

  public Worksheet getWorksheet() {
    return m_worksheet;
  }
}